%include %{_rpmconfigdir}/macros.python3

Name: python3-markupsafe
Version: 1.1.1
Release: 1
License: BSD-3-Clause
Summary: An HTML and XML escaping library for Python
Url: https://palletsprojects.com/p/markupsafe/

Source: https://files.pythonhosted.org/packages/b9/2e/64db92e53b86efccfaea71321f597fa2e1b2bd3853d8ce658568f7a13094/MarkupSafe-1.1.1.tar.gz

BuildRequires: python3-devel
BuildRequires: python3-pip
BuildRequires: pkg-config

%description
MarkupSafe implements a text object that escapes characters so it is safe to
use in HTML and XML. Characters that have special meanings are replaced so that
they display as the actual characters. This mitigates injection attacks,
meaning untrusted user input can safely be displayed on a page.

%prep
%setup -q -n MarkupSafe-%{version}

# Fix the wrong dependencies /usr/bin/python
find . -type f | xargs perl -pi -e 's|/usr/bin/python|%{_bindir}/python3|g'

%build

python3 setup.py bdist_wheel

%install
pip%{py_ver} install --no-index --no-compile --root %{buildroot} dist/*.whl

perl -p -i -e 's|pip|rpm|g' %{buildroot}%{py_sitedir}/*.dist-info/INSTALLER

%files
%defattr(-, qsys, *none)

%{py_sitedir}/markupsafe*
%{py_sitedir}/MarkupSafe*

%changelog
* Mon Jun 1 2020 - Xu Meng <mengxumx@cn.ibm.com> - 1.1.1
- Initial commit
